Subject: [alpine-devel] [PATCH] testing/biosdevname: new aport http://linux.dell.com/git/biosdevname.git Biosdevname - Consistent Network Device Naming

From: Paul Kilar <[email-masked]>
Date: Wed, 14 May 2014 14:11:28 -0400

---
 testing/biosdevname/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/biosdevname/APKBUILD

diff --git a/testing/biosdevname/APKBUILD b/testing/biosdevname/APKBUILD
new file mode 100644
index 0000000..0facf71
--- /dev/null
+++ b/testing/biosdevname/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Paul Kilar <[email-masked]>
+# Maintainer: Paul Kilar <[email-masked]>
+pkgname=biosdevname
+pkgver='0.5.1'
+pkgrel=0
+pkgdesc="Biosdevname - Consistent Network Device Naming"
+url="http://linux.dell.com/git/biosdevname.git"
+arch="all"
+license="GPL"
+depends=""
+depends_dev=""
+makedepends="zlib-dev pciutils-dev autoconf automake"
+install=""
+subpackages="$pkgname-doc"
+source="http://linux.dell.com/cgi-bin/cgit.cgi/biosdevname.git/snapshot/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./autogen.sh
+	./configure --datarootdir=/usr/share
+	make
+}
+
+package() {
+	cd "$_builddir"
+	make install DESTDIR=$pkgdir || return 1
+}
+md5sums="96fec0b3a3f6efd843de66c1f52d86ae  biosdevname-0.5.1.tar.gz"
+sha256sums="b4fd0cb068c74b5186b10910f12e5d76f3e0b8dee5144b1a6edb7e39fe2032b3  biosdevname-0.5.1.tar.gz"
+sha512sums="45b1818d1517cf3b4ef5be5bc70b311d1a7c93f99764db786a27683ef33b1557128e1878d2ca17ce1c03e9ba3170b6a89b22d3cb3ee157d449719a476419171e  biosdevname-0.5.1.tar.gz"
-- 
1.8.2.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---